// New_Class.h : header file
//
#pragma once

/////////////////////////////////////////////////////////////////////////////
// C_FrameWnd frame

class C_FrameWnd : public CFrameWnd
{
    DECLARE_DYNCREATE(C_FrameWnd)
public:
    C_FrameWnd();           // constructor used by dynamic creation

// Attributes
public:

// Operations
public:

// Overrides
    protected:
    virtual BOOL OnNotify(WPARAM wParam, LPARAM lParam, LRESULT* pResult);
    virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);

// Implementation
protected:
    virtual ~C_FrameWnd();

public:
    DWORD m_Number;
    BOOL m_bDialog;
    // Generated message map functions
    afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
    afx_msg void OnPaint();
    afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
    afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
    afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
    afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
    afx_msg void OnMouseMove(UINT nFlags, CPoint point);
    afx_msg BOOL OnMouseWheel(UINT nFlags, short zDelta, CPoint pt);
    afx_msg void OnClose();
    afx_msg void OnTimer(UINT nIDEvent);
    afx_msg void OnSize(UINT nType, int cx, int cy);
    afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
    afx_msg void OnKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags);
    afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);

    afx_msg LONG OnCtrlColor(WPARAM wParam, LPARAM lParam);
    DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
// CwProofTree frame

class CwProofTree : public CFrameWnd
{
    DECLARE_DYNCREATE(CwProofTree)
public:
    CwProofTree();           // constructor used by dynamic creation

// Attributes
public:

// Operations
public:

// Overrides

// Implementation
public:
    CPoint m_pos;
    CSize m_char;
    CSize m_page;
    CSize m_fild;
    CSize m_fild2;
    BOOL m_flag;
    void Redraw(void);
protected:
    virtual ~CwProofTree();

    // Generated message map functions
    afx_msg void OnSize(UINT nType, int cx, int cy);
    afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
    afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
    afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
    afx_msg void OnPaint();
    afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
    afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
    DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
// CwInformation frame

class CwInformation : public CFrameWnd
{
    DECLARE_DYNCREATE(CwInformation)
public:
    CwInformation();           // constructor used by dynamic creation
    CwInformation(int);
// Attributes
public:

// Operations
public:

// Overrides

// Implementation
public:
    CPoint m_pos;
    CSize m_char;
    CSize m_page;
    int m_fild;
    int m_fild2;
    int m_Type;
    void Redraw(void);
protected:
    virtual ~CwInformation();

    // Generated message map functions
    afx_msg void OnSize(UINT nType, int cx, int cy);
    afx_msg void OnClose();
    afx_msg void OnPaint();
    afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
    afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
    afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
    afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
    DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
// CwClasses frame

class CwClasses : public CFrameWnd
{
    DECLARE_DYNCREATE(CwClasses)
public:
    CwClasses();           // constructor used by dynamic creation

// Attributes
public:

// Operations
public:

// Overrides
    // ClassWizard generated virtual function overrides
    protected:
    virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);

// Implementation
public:
    CTreeCtrl* m_pTreeBox;
    void AddClasses(void);
protected:
    virtual ~CwClasses();

    // Generated message map functions
    afx_msg void OnSize(UINT nType, int cx, int cy);
    DECLARE_MESSAGE_MAP()
};

